---
title: BaseAudioContext.sampleRate
slug: Web/API/BaseAudioContext/sampleRate
tags:
  - API
  - AudioContext
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - sampleRate
---
<div>{{ APIRef("Web Audio API") }}</div>

<p><span class="seoSummary">The <code>sampleRate</code> property of the {{ domxref("BaseAudioContext") }} interface returns a floating point number representing the sample rate, in samples per second, used by all nodes in this audio context.</span> This limitation means that sample-rate converters are not supported.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>baseAudioContext</em>.sampleRate;
</pre>

<h3 id="Value">Value</h3>

<p>A floating point number indicating the audio context's sample rate, in samples per second.</p>

<h2 id="Example">Example</h2>

<div class="note">
<p><strong>Note</strong>: for a full Web Audio example implementation, see one of our Web Audio Demos on the <a href="https://github.com/mdn/">MDN Github repo</a>, like <a href="https://github.com/mdn/panner-node">panner-node</a>. Try entering <code>audioCtx.sampleRate</code> into your browser console.</p>
</div>

<pre class="brush: js;highlight[8]">var AudioContext = window.AudioContext || window.webkitAudioContext;
var audioCtx = new AudioContext();
// Older webkit/blink browsers require a prefix

...

console.log(audioCtx.sampleRate);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-samplerate', 'sampleRate')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.sampleRate")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
